New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

the library is not compiled with GCC 4.1.2 #109

Closed
rucoder opened this Issue Apr 15, 2013 · 1 comment

Comments

Projects
None yet
2 participants
@rucoder

rucoder commented Apr 15, 2013

Following error appears during compilation
unrecognized command line option "-Wtype-limits"

The errors make sense, since the GCC documentationhttp://gcc.gnu.org/onlinedocs/ indicates that these three options were only introduced in GCC 4.3.5, and I am using 4.1.2

configure.ac should be changed to add "-Wtype-limits" in case of compatible compiler version ( > 4.3.5). Unfortunately I'm not familiar with autoconf syntax so I cannot provide a patch (but will try!)

@stephane

This comment has been minimized.

Show comment
Hide comment
@stephane

stephane Apr 18, 2013

Owner

I've discovered the problem on Mac Book of a friend same day you reported the bug. The only solution I found is to use something similar to pixman project (http://cgit.freedesktop.org/pixman/tree/configure.ac) but it's too complicated so I just decided to remove the option. BTW I'll be happy to use a check if you've a simple solution to offer.

Owner

stephane commented Apr 18, 2013

I've discovered the problem on Mac Book of a friend same day you reported the bug. The only solution I found is to use something similar to pixman project (http://cgit.freedesktop.org/pixman/tree/configure.ac) but it's too complicated so I just decided to remove the option. BTW I'll be happy to use a check if you've a simple solution to offer.

@stephane stephane closed this in 32062c7 Apr 18, 2013

mk8 added a commit to mk8/libmodbus that referenced this issue Jan 29, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment